<?php

namespace Planaday\Html\Tags\Test;

use Planaday\Html\Tags\TagHandlerTemplate;
use Planaday\Html\Tags\Test\EnclosingTestTag\EnclosingTest;
use Planaday\Html\Tags\Test\FunctionTestTag\FunctionTestTag;
use Planaday\Html\Tags\Test\TestPage\TestPage;
use Planaday\Html\Tags\Test\TestTag\TestTag;
use Planaday\Utility\DependencyInjection\Container;

class TestTagHandler extends TagHandlerTemplate {
	public function __construct() {
		$this->tags = [
			EnclosingTest::TAG      => function ( Container $registry ) {
				return new EnclosingTest( $registry );
			},
			FunctionTestTag::TAG    => function ( Container $registry ) {
				return new FunctionTestTag( $registry );
			},
			TestPage::TAG           => function ( Container $registry ) {
				return new TestPage( $registry );
			},
			TestTag::TAG            => function ( Container $registry ) {
				return new TestTag( $registry );
			}
		];
	}
}